package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 渠道角色
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum ChannelRoleEnum implements IEnum<String> {

  CHANNEL("channel", "渠道"),
  SALESITE("salesite", "经销商");

  private final String value;
  private final String desc;

  ChannelRoleEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
